package com.ss.android.ugc.aweme.commercialize.log;

import X.2nK;
import X.2om;
import X.3Jr;
import X.4wK;
import X.4wO;
import X.B5l;
import X.B5o;
import X.C3570EJi;
import X.Lnj;
import X.M12;
import android.content.Context;
import androidx.recyclerview.widget.RecyclerView;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.notice.api.helper.LogHelper;
import java.util.HashMap;

public final class LogHelperImpl implements LogHelper {
    static {
        Covode.recordClassIndex(59123);
    }

    public static LogHelper LIZ() {
        MethodCollector.i(1885);
        LogHelper logHelper = (LogHelper) Lnj.LIZ(LogHelper.class, false);
        if (logHelper != null) {
            MethodCollector.o(1885);
            return logHelper;
        }
        Object LIZIZ = Lnj.LIZIZ(LogHelper.class, false);
        if (LIZIZ != null) {
            LogHelper logHelper2 = (LogHelper) LIZIZ;
            MethodCollector.o(1885);
            return logHelper2;
        }
        if (Lnj.LJLLI == null) {
            synchronized (LogHelper.class) {
                try {
                    if (Lnj.LJLLI == null) {
                        Lnj.LJLLI = new LogHelperImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(1885);
                    throw th;
                }
            }
        }
        LogHelperImpl logHelperImpl = (LogHelperImpl) Lnj.LJLLI;
        MethodCollector.o(1885);
        return logHelperImpl;
    }

    public final void LIZ(String str) {
        M12.LIZ(str);
        HashMap hashMap = new HashMap();
        hashMap.put("enter_from", str);
        hashMap.put("ui_type", "normal_type");
        2nK.LIZ("live_merge_show", hashMap);
    }

    public final void LIZIZ(String str, String str2) {
        M12.LIZ(str, str2);
        HashMap hashMap = new HashMap();
        hashMap.put("enter_from", str);
        hashMap.put("ui_type", str2);
        2nK.LIZ("enter_live_merge", hashMap);
    }

    public final void LIZJ(String str, String str2) {
        M12.LIZ(str, str2);
        4wK LIZ = 3Jr.LIZ("follow_refuse");
        LIZ.LIZIZ("enter_from", str);
        LIZ.LIZIZ("to_user_id", str2);
        LIZ.LJFF();
    }

    public final void LIZ(String str, RecyclerView recyclerView) {
        M12.LIZ(str, recyclerView);
        2om.LIZIZ.LIZ(str).LIZ(recyclerView);
    }

    public final void LIZ(String str, String str2) {
        M12.LIZ(str, str2);
        B5o b5o = new B5o(str);
        b5o.LJJJZ = str2;
        b5o.LJFF();
    }

    public final void LIZ(String str, String str2, String str3) {
        M12.LIZ(str, str2, str3);
        B5l b5l = new B5l();
        b5l.LJIILL(str);
        b5l.LIZ(str3);
        b5l.LJIILLIIL = str2;
        b5l.LJJJZ = -2;
        b5l.LJFF();
    }

    public final void LIZ(Context context, String str, String str2, long j) {
        M12.LIZ(context, str2);
        C3570EJi.LIZ(1, str2, j, C3570EJi.LIZ("message", "head", str));
    }

    public final void LIZ(String str, String str2, String str3, String str4, String str5, String str6, int i) {
        String str7 = str2;
        String str8 = str;
        String str9 = str3;
        String str10 = str4;
        String str11 = str6;
        String str12 = str5;
        M12.LIZ(str8, str7, str9, str10, str12, str11);
        4wO r0 = new 4wO();
        r0.LIZ(str8);
        r0.LIZIZ = str7;
        r0.LIZJ = str9;
        r0.LJIJ = str10;
        r0.LJ = str12;
        r0.LJIJI = str11;
        r0.LJIL = i;
        r0.LJFF();
    }
}
